import request from '@/utils/request';

// 列表
export const getPriceList = (query) => {
  return request({
    url: '/wpr/priceconfig/list',
    method: 'get',
    params: query
  });
};

// 新增
export const addPrice = (data) => {
  return request({
    url: '/wpr/priceconfig/add',
    method: 'post',
    data
  });
};

// 修改
export const editPrice = (data) => {
  return request({
    url: '/wpr/priceconfig/edit',
    method: 'put',
    data
  });
};

// 删除
export const deletePrice = (farmerIds) => {
  return request({
    url: '/wpr/priceconfig/delete',
    method: 'delete',
    params: farmerIds
  });
};
